rte_dma_auto_free_param(3)

NAME
rte_dma_auto_free_param

SYNOPSIS

#include <rte_dmadev.h>

  Data Fields

uint64_t reserved [2]

Detailed Description

A structure used for offload auto free params.

Definition at line 578 of file rte_dmadev.h.

Field Documentation

  struct rte_mempool* pool
Mempool from which buffer is allocated. Mempool info is used for freeing buffer by hardware.

Note
    If the mempool is not supported by the DMA device, rte_dma_vchan_setup() will fail.

Definition at line 588 of file rte_dmadev.h.

  uint64_t reserved[2]
Reserved for future fields.

Definition at line 592 of file rte_dmadev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.